Koozali.org formerly Contribs.org

Obsolete Releases => SME Server 7.x => Topic started by: william_syd on March 01, 2007, 02:18:54 PM

Title: SME 7.1.1 , yum and kernels
Post by: william_syd on March 01, 2007, 02:18:54 PM
SME 7.1 doing an update.
Code: [Select]
yum update \
--disablerepo=* \
--enablerepo=base \
--enablerepo=updates \
--enablerepo=smeos \
--enablerepo=smeupdates \
--enablerepo=smeaddons

In the yum package list I see at the top..
Code: [Select]
Installing:
 kernel                  i586       2.6.9-42.0.10.EL  updates            11 M
 kernel-smp              i586       2.6.9-42.0.10.EL  updates            10 M

At the bottom..
Code: [Select]
Installing for dependencies:
 kernel                  i586       2.6.9-42.0.8.EL  smeupdates         11 M
 kernel-smp              i586       2.6.9-42.0.8.EL  smeupdates         10 M

And in the middle..
Code: [Select]
Updating:
 kmod-appletalk          i586       1.0-1.2.6.9_42.0.8.EL  smeupdates        208 k
 kmod-appletalk-smp      i586       1.0-1.2.6.9_42.0.8.EL  smeupdates        219 k
 kmod-ppp                i586       1.0.2-1.2.6.9_42.0.8.EL  smeupdates        153 k
 kmod-ppp-smp            i586       1.0.2-1.2.6.9_42.0.8.EL  smeupdates        150 k
 kmod-slip               i586       1.0-1.2.6.9_42.0.8.EL  smeupdates         76 k
 kmod-slip-smp           i586       1.0-1.2.6.9_42.0.8.EL  smeupdates         77 k


How will SMEServer handle the above ?
Title: SME 7.1.1 , yum and kernels
Post by: william_syd on March 01, 2007, 10:41:34 PM
Workaround was..
Code: [Select]
yum update \
--disablerepo=* \
--enablerepo=base \
--enablerepo=smeos \
--enablerepo=smeupdates \
--enablerepo=smeaddons

Followed by
Code: [Select]
yum update \
--disablerepo=* \
--enablerepo=base \
--enablerepo=updates \
--enablerepo=smeos \
--enablerepo=smeupdates \
--enablerepo=smeaddons
Title: SME 7.1.1 , yum and kernels
Post by: mrjhb3 on March 02, 2007, 06:13:48 AM
William,

We were caught by the new centos kernel.  7.1.1 fixes a bug where the yum excludes for kernels was missing.  If you get 7.1.1 installed, then you should not be prompted to install any newer kernels until they are released via smeupdates.  In the meantime the -10 kernel and kmods are in smetest if you want to test them out.  We are working hard to try to get 7.1.2 out the door as anyone that has updated to the -10 kernel will soon notice that pptp is broke.

John
Title: SME 7.1.1 , yum and kernels
Post by: william_syd on March 02, 2007, 06:21:29 AM
Yes.. I saw that in the bug tracker. (4 hour window of opportunity)

By not using the updates repository I was able to get the 'smarts' into SME that would allow it to exclude kernels is a subsequent full update.

I'm on a cable connection and I don't have Macs/Apples on the LAN so testing the kmods is not possible.